Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.servlet.view.tiles2
Class AbstractSpringPreparerFactory

    java.lang.Object
      org.springframework.web.servlet.view.tiles2.AbstractSpringPreparerFactory

All Implemented Interfaces:
  org.apache.tiles.preparer.PreparerFactory

Direct Known Subclasses:
  SimpleSpringPreparerFactory, SpringBeanPreparerFactory

    public abstract class AbstractSpringPreparerFactory

extends java.lang.Object
implements org.apache.tiles.preparer.PreparerFactory

Abstract implementation of the Tiles2 `PreparerFactory` interface, obtaining the current Spring WebApplicationContext and delegating to `getPreparer(String, org.springframework.web.context.WebApplicationContext)`.

Since:
  2.5
Author:
  Juergen Hoeller
See Also:
  `getPreparer(String, org.springframework.web.context.WebApplicationContext)`, `SimpleSpringPreparerFactory`, `SpringBeanPreparerFactory`

Constructor Summary
`AbstractSpringPreparerFactory()`

Method Summary
`org.apache.tiles.preparer.ViewPreparer` | `getPreparer(java.lang.String name, org.apache.tiles.context.TilesRequestContext context)`
`protected abstract org.apache.tiles.preparer.ViewPreparer` | `getPreparer(java.lang.String name, WebApplicationContext context)` Obtain a preparer instance for the given preparer name, based on the given Spring WebApplicationContext.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSpringPreparerFactory

    public AbstractSpringPreparerFactory()

Method Detail

### getPreparer

    public org.apache.tiles.preparer.ViewPreparer getPreparer(java.lang.String name,
                                                              org.apache.tiles.context.TilesRequestContext context)
                                                       throws org.apache.tiles.TilesException

  Specified by:
    `getPreparer` in interface `org.apache.tiles.preparer.PreparerFactory`
  Throws:
    `org.apache.tiles.TilesException`

### getPreparer

    protected abstract org.apache.tiles.preparer.ViewPreparer getPreparer(java.lang.String name,
                                                                          WebApplicationContext context)
                                                                   throws org.apache.tiles.TilesException

  Obtain a preparer instance for the given preparer name, based on the given Spring WebApplicationContext.

  Parameters:
    `name` - the name of the preparer
    `context` - the current Spring WebApplicationContext
  Returns:
    the preparer instance
  Throws:
    `org.apache.tiles.TilesException` - in case of failure

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD